Skip to main content
GET
/
vpc
/
reference
/
services
List common services
curl --request GET \
  --url https://v1.api.altostrat.io/vpc/reference/services \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/vpc/reference/services"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/vpc/reference/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "HTTPS",
    "port": 443,
    "protocols": [
      {
        "name": "TCP",
        "value": 6
      }
    ]
  }
]
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

Authentication is performed via an Auth0-issued JSON Web Token (JWT). Provide the token in the Authorization header with the Bearer scheme.

Response

A list of common services.

name
string

The common name of the service (e.g., 'HTTPS', 'SSH').

Example:

"HTTPS"

port
integer

The standard port number for the service.

Example:

443

protocols
object[]

A hint of which protocols are commonly used for this service.